# tablewidget.h File Reference

`#include <gwenhywfar/ui/widget.h>`
`#include <gwenhywfar/misc.h>`

Go to the source code of this file.

## Defines

#define | GWEN_TABLEWIDGET_FLAGS_BREAKLINES 0x00010000
#define | GWEN_TABLEWIDGET_FLAGS_COLBORDER 0x00020000
#define | GWEN_TABLEWIDGET_FLAGS_FIXED 0x00100000
#define | GWEN_TABLEWIDGET_FLAGS_HIGHLIGHT 0x00200000
#define | GWEN_TABLEWIDGET_FLAGS_LINEMODE 0x00080000
#define | GWEN_TABLEWIDGET_FLAGS_ROWBORDER 0x00040000
#define | GWEN_TABLEWIDGET_FLAGS_SELECTION 0x00400000

## Typedefs

typedef GWEN_TABLE_COLUMN | GWEN_TABLE_COLUMN
typedef GWEN_TABLE_FIELD | GWEN_TABLE_FIELD
typedef GWEN_TABLE_ROW | GWEN_TABLE_ROW

## Functions

| GWEN_LIST_FUNCTION_DEFS (GWEN_TABLE_COLUMN, GWEN_TableColumn)
| GWEN_LIST_FUNCTION_DEFS (GWEN_TABLE_FIELD, GWEN_TableField)
int | GWEN_TableWidget_AddColumn (GWEN_WIDGET *w, int width)
int | GWEN_TableWidget_Clear (GWEN_WIDGET *w)
int | GWEN_TableWidget_GetColumns (const GWEN_WIDGET *w)
const char * | GWEN_TableWidget_GetText (GWEN_WIDGET *w, int x, int y)
GWEN_WIDGET * | GWEN_TableWidget_new (GWEN_WIDGET *parent, GWEN_TYPE_UINT32 flags, const char *name, int x, int y, int width, int height)
void | GWEN_TableWidget_SetText (GWEN_WIDGET *w, int x, int y, const char *text)

## Define Documentation

#define GWEN_TABLEWIDGET_FLAGS_BREAKLINES 0x00010000

#define GWEN_TABLEWIDGET_FLAGS_COLBORDER 0x00020000

#define GWEN_TABLEWIDGET_FLAGS_FIXED 0x00100000

#define GWEN_TABLEWIDGET_FLAGS_HIGHLIGHT 0x00200000

#define GWEN_TABLEWIDGET_FLAGS_LINEMODE 0x00080000

#define GWEN_TABLEWIDGET_FLAGS_ROWBORDER 0x00040000

#define GWEN_TABLEWIDGET_FLAGS_SELECTION 0x00400000

## Typedef Documentation

typedef struct GWEN_TABLE_COLUMN GWEN_TABLE_COLUMN

typedef struct GWEN_TABLE_FIELD GWEN_TABLE_FIELD

typedef struct GWEN_TABLE_ROW GWEN_TABLE_ROW

## Function Documentation

GWEN_LIST_FUNCTION_DEFS | ( | GWEN_TABLE_COLUMN | ,
|  | GWEN_TableColumn |
| ) |

GWEN_LIST_FUNCTION_DEFS | ( | GWEN_TABLE_FIELD | ,
|  | GWEN_TableField |
| ) |

int GWEN_TableWidget_AddColumn | ( | GWEN_WIDGET * | w,
|  | int | width
| ) |

int GWEN_TableWidget_Clear | ( | GWEN_WIDGET * | w | ) |

int GWEN_TableWidget_GetColumns | ( | const GWEN_WIDGET * | w | ) |

const char* GWEN_TableWidget_GetText | ( | GWEN_WIDGET * | w,
|  | int | x,
|  | int | y
| ) |

GWEN_WIDGET* GWEN_TableWidget_new | ( | GWEN_WIDGET * | parent,
|  | GWEN_TYPE_UINT32 | flags,
|  | const char * | name,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |

void GWEN_TableWidget_SetText | ( | GWEN_WIDGET * | w,
|  | int | x,
|  | int | y,
|  | const char * | text
| ) |